{% raw %}

<script type="text/x-vue" name="test-view">
  <p>test</p>
</script>

<script type="text/x-vue" name="edit-expense">
  <div class="row">
    <div class="col-md-4 col-lg-3">
      <div class="form-group">
        <label>Opłata za:</label>
        <form-input @changed="clearError" :error="errors.itemId">
          <select class="form-control" name="itemId" v-model.number="expenseData.itemId" :disabled="!!id">
            <option value="">-- Wybierz --</option>
            <option v-for="item in items" :value="item.id">{{ item.name }}</option>
          </select>
        </form-input>
      </div>
    </div>
    <div class="col-md-3 col-lg-2 col-md-offset-1">
      <div class="form-group">
        <label>Okres od:</label>
        <form-input @changed="clearError" :error="errors.perdiodFrom">
          <datepicker 
            v-model="expenseData.periodFrom" 
            format="yyyy-MM-dd" 
            placeholder="Brak daty"
            :clear-button="true"
          />
        </form-input>
      </div>
    </div>
    <div class="col-md-3 col-lg-2">
      <div class="form-group">
        <label>Okres do:</label>
        <form-input @changed="clearError" :error="errors.perdiodTo">
          <datepicker 
            v-model="expenseData.periodTo" 
            format="yyyy-MM-dd" 
            placeholder="Brak daty"
            :clear-button="true"
          />
        </form-input>
      </div>
    </div>
  </div>
  <br />
  <div class="row">
    <div class="col-md-3 col-lg-2">
      <div class="form-group">
        <label>Wartość netto:</label>
        <form-input @changed="clearError" :error="errors.netCost">
          <div class="input-group">
            <input class="form-control" type="number" min="0" name="netCost" v-model.number="expenseData.netCost" />
            <div class="input-group-addon">PLN</div>
          </div>
        </form-input>
      </div>
    </div>
    <div class="col-md-3 col-lg-2">
      <div class="form-group">
        <label>
          VAT:
          <button class="btn btn-default btn-xxs" tabindex="-1" data-value="0" @click="onClickVatBtn($event)">0%</button>
          <button class="btn btn-default btn-xxs" tabindex="-1" data-value="8" @click="onClickVatBtn($event)">8%</button>
          <button class="btn btn-default btn-xxs" tabindex="-1" data-value="9.2" @click="onClickVatBtn($event)">9,2%</button>
          <button class="btn btn-default btn-xxs" tabindex="-1" data-value="23" @click="onClickVatBtn($event)">23%</button>
        </label>
        <form-input @changed="clearError" :error="errors.vat">
          <div class="input-group">
            <input class="form-control" type="number" min="0" max="100" name="vat" v-model.number="expenseData.vat" />
            <div class="input-group-addon">%</div>
          </div>
        </form-input>
      </div>
    </div>
    <div class="col-md-3 col-lg-2">
      <div class="form-group">
        <label>Wartość brutto:</label>
        <div class="input-group">
          <input class="form-control" readonly type="number" :value="grossCost" />
          <div class="input-group-addon">PLN</div>
        </div>
      </div>
    </div>
    <div v-if="selectedItem && !selectedItem.flatRate" class="col-md-3 col-lg-2 col-md-offset-1">
      <div class="form-group">
        <label>Zużycie:</label>
        <form-input @changed="clearError" :error="errors.consumption">
          <div class="input-group">
            <input class="form-control" type="number" min="0" name="consumption" v-model.number="expenseData.consumption" />
            <div class="input-group-addon" v-if="selectedItem.unit" v-html="selectedItem.unit.symbolHtml"></div>
          </div>
        </form-input>
      </div>
    </div>
  </div>
  <hr />
  <div class="text-right">
    <button class="btn btn-default" @click="cancel">
      <span class="glyphicon smaller glyphicon-remove"></span>
      Anuluj
    </button>
    &nbsp;
    <button class="btn btn-primary" @click="submit">
      <span class="glyphicon smaller glyphicon-ok"></span>
      {{ id ? 'Zapisz zmiany' : 'Dodaj' }}
    </button>
  </div>
</script>

<script type="text/x-vue" name="expenses-list">
  <table v-if="!loading && expenses.length" class="table table-striped">
    <thead>
      <tr>
        <th>Artykuł</th>
        <th width="10%">Okres od</th>
        <th width="10%">Okres do</th>
        <th width="10%">K. netto</th>
        <th width="10%">K. brutto</th>
        <th width="5%">VAT</th>
        <th width="10%">Zużycie</th>
        <th width="5%"></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="e in expenses" :class="{ active: highlightId == e.id }">
        <td><strong>{{ e.item.name }}</strong></td>
        <td>{{ e.periodFrom || '-' }}</td>
        <td>{{ e.periodTo || '-' }}</td>
        <td v-html="App.formatPrice(e.netCost)"></td>
        <td v-html="App.formatPrice(e.grossCost)"></td>
        <td>{{ e.vat }} %</td>
        <td v-html="e.consumption ? e.consumption + ' ' + (e.item.unit ? e.item.unit.symbolHtml : '') : '-'"></td>
        <td class="text-right">
          <span class="actions" :data-id="e.id">
            <a href="#" data-action="edit" @click.prevent="onClickAction($event)">
              <span class="glyphicon glyphicon-edit"></span>
            </a>
            <a href="#" class="text-danger" data-action="remove" @click.prevent="onClickAction($event)">
              <span class="glyphicon glyphicon-remove"></span>
            </a>
          </span>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th colspan="3">W sumie:</th>
        <td v-html="App.formatPrice(summary.netCost)"></td>
        <td v-html="App.formatPrice(summary.grossCost)"></td>
        <td colspan="3"></td>
      </tr>
    </tfoot>
  </table>
  <p class="nothing-found" v-if="!loading && !expenses.length">
    Nie znaleziono żadnych danych.
  </p>
</script>

<script type="text/x-vue" name="expenses-view">
  <div class="row">
    <div class="col-sm-3 col-md-2 sidebar">
      <div class="form-group">
        <label>Rok:</label>
        <select class="form-control" name="currentYear" @change="onChangeParams($event)">
          <option v-for="item in globals.years" :value="item">{{ item }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Miesiąc:</label>
        <select class="form-control" name="currentMonth" @change="onChangeParams($event)">
          <option v-for="(item, index) in globals.months" :value="index + 1">{{ item }}</option>
        </select>
      </div>
      <div class="form-group">
        <label>Filia:</label>
        <select class="form-control" name="currentLocationId" @change="onChangeParams($event)">
          <option v-for="item in globals.locations" :value="item.id">{{ item.name }}</option>
        </select>
      </div>
      <hr />
      <button class="btn btn-primary btn-block" @click="reloadList">
        <span class="glyphicon glyphicon-refresh"></span>
        Odśwież listę
      </button>
    </div>
    <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
      <div class="pull-right">
        <button class="btn btn-primary" @click="onClickAdd">
          <span class="glyphicon smaller glyphicon-plus"></span>
          Dodaj
        </button>
      </div>
      <h2 class="page-header">
        {{ currentLocation.name }}
        &nbsp;
        <small>{{ this.currentMonthName }} {{ this.params.currentYear }}</small>
      </h2>
      <div class="pane expense-form" v-if="expenseFormVisible">
        <h3 class="pane-heading">{{ this.editedExpenseId ? 'Edytuj koszt' : 'Dodaj koszt' }}</h3>
        <edit-expense 
          :year="params.currentYear" 
          :month="params.currentMonth" 
          :location-id="params.currentLocationId" 
          :id="editedExpenseId"
          :items="globals.items"
          @cancel="hideExpenseForm"
          @expense-created="onExpenseCreated"
          @expense-updated="onExpenseUpdated"
          @form-error="onFormError"
        />
      </div>
      <expenses-list 
        ref="list" 
        :year="params.currentYear" 
        :month="params.currentMonth" 
        :location-id="params.currentLocationId" 
        :highlight-id="editedExpenseId"
        @request-edit="editExpense"
        @request-remove="removeExpense"
      />
    </div>
  </div>
</script>


{% endraw %}
